--- title: "Screen Sharing Config" slug: "screen-sharing-config" updated: 2023-12-05T10:23:24Z published: 2023-12-05T10:23:24Z canonical: "developer.comm100.com/screen-sharing-config" --- > ## Documentation Index > Fetch the complete documentation index at: https://developer.comm100.com/llms.txt > Use this file to discover all available pages before exploring further. # Screen Sharing Config ## Screen Sharing Config You need the Manage Settings permission to manage screen sharing config. - `Screen Sharing Config` - Screen Sharing Config Manage - `GET livechat/screenSharingConfig` - [Get a single Screen Sharing Config](/docs/screen-sharing-config#get-a-single-screen-sharing-config) - `POST livechat/screenSharingConfig:disable` - [Disable the Screen Sharing Config](/docs/screen-sharing-config#disable-the-screen-sharing-config) - `POST livechat/screenSharingConfig:enable` - [Enable the Screen Sharing Config](/docs/screen-sharing-config#enable-the-screen-sharing-config) ### Screen Sharing Config JSON Format Screen Sharing Config is represented as simple flat JSON objects with the following keys: | Name | Type | Description | | --- | --- | --- | | `isEnabled` | bool | Whether screen sharing config is enabled or not. | ### Get a single Screen Sharing Config `GET livechat/screenSharingConfig` - #### Parameters: No Parameters - #### Response: [Screen Sharing Config](/docs/screen-sharing-config#screen-sharing-config-json-format) - #### Example Sample Request: ``` curl https://api11.comm100.io/v4/livechat/screenSharingConfig \ -X 'GET' \ -H 'Authorization: Bearer {access_token}' \ ``` Response: HTTP/1.1 200 OK ``` { "isEnabled": true } ``` ### Disable the Screen Sharing Config `POST livechat/screenSharingConfig:disable` - #### Parameters: No Parameters - #### Response: [Screen Sharing Config](/docs/screen-sharing-config#screen-sharing-config-json-format) - #### Example Sample Request: ``` curl https://api11.comm100.io/v4/livechat/screenSharingConfig:disable \ -X 'POST' \ -H 'Authorization: Bearer {access_token}' \ ``` Response: HTTP/1.1 200 OK ``` { "isEnabled": false } ``` ### Enable the Screen Sharing Config `POST livechat/screenSharingConfig:enable` - #### Parameters: No Parameters - #### Response: [Screen Sharing Config](/docs/screen-sharing-config#screen-sharing-config-json-format) - #### Example Sample Request: ``` curl https://api11.comm100.io/v4/livechat/screenSharingConfig:enable \ -X 'POST' \ -H 'Authorization: Bearer {access_token}' \ ``` Response: HTTP/1.1 200 OK ``` { "isEnabled": true } ```